net.sourceforge.pmd.lang.ast.xpath.saxon

## Class AttributeAxisIterator

- java.lang.Object
- - net.sf.saxon.om.AxisIteratorImpl
  - - net.sf.saxon.om.Navigator.BaseEnumeration
    - - net.sourceforge.pmd.lang.ast.xpath.saxon.AttributeAxisIterator

- All Implemented Interfaces:
    net.sf.saxon.om.AxisIterator, net.sf.saxon.om.SequenceIterator, net.sf.saxon.om.UnfailingIterator

      public class AttributeAxisIterator
      extends net.sf.saxon.om.Navigator.BaseEnumeration

  This is an Attribute axis iterator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AttributeAxisIterator` | `iterator`
    `protected ElementNode` | `startNodeInfo`

    - ### Fields inherited from class net.sf.saxon.om.AxisIteratorImpl

      `current, position`

    - ### Fields inherited from interface net.sf.saxon.om.SequenceIterator

      `GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeAxisIterator(ElementNode startNodeInfo)` Create an iterator over the Attribute axis for the given ElementNode.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `advance()`
    `net.sf.saxon.om.SequenceIterator` | `getAnother()`

    - ### Methods inherited from class net.sf.saxon.om.Navigator.BaseEnumeration

      `next`

    - ### Methods inherited from class net.sf.saxon.om.AxisIteratorImpl

      `atomize, close, current, getProperties, getStringValue, iterateAxis, moveNext, position`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startNodeInfo

          protected final ElementNode startNodeInfo

    - #### iterator

          protected final AttributeAxisIterator iterator

  - ### Constructor Detail

    - #### AttributeAxisIterator

          public AttributeAxisIterator(ElementNode startNodeInfo)

      Create an iterator over the Attribute axis for the given ElementNode.
      See Also:
        `AttributeAxisIterator`

  - ### Method Detail

    - #### getAnother

          public net.sf.saxon.om.SequenceIterator getAnother()

      Specified by:
        `getAnother` in interface `net.sf.saxon.om.SequenceIterator`
      Specified by:
        `getAnother` in interface `net.sf.saxon.om.UnfailingIterator`
      Specified by:
        `getAnother` in class `net.sf.saxon.om.Navigator.BaseEnumeration`

    - #### advance

          public void advance()

      Specified by:
        `advance` in class `net.sf.saxon.om.Navigator.BaseEnumeration`

Copyright © 2002-2013 InfoEther. All Rights Reserved.